# OpenML dataset: cpu

https://www.openml.org/d/561

## Structure

The dataset has the following file structure:

* `dataset/`
  * `tables/`
    * [`data.csv`](./dataset/tables/data.csv): CSV file with data
    * [`data.pq`](./dataset/tables/data.pq): Parquet file with data
  * [`metadata.json`](./dataset/metadata.json): OpenML description of the dataset
  * [`features.json`](./dataset/features.json): OpenML description of table columns
  * [`qualities.json`](./dataset/qualities.json): OpenML qualities (meta-features)

## Description

**Author**:   
**Source**: Unknown - Date unknown  
**Please cite**:   

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

Attributes 2 and 8 deleted.

As used by Kilpatrick, D. & Cameron-Jones, M. (1998). Numeric prediction
using instance-based learning with encoding length selection. In Progress
in Connectionist-Based Information Systems. Singapore: Springer-Verlag.

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

1. Title: Relative CPU Performance Data

2. Source Information
-- Creators: Phillip Ein-Dor and Jacob Feldmesser
-- Ein-Dor: Faculty of Management; Tel Aviv University; Ramat-Aviv;
Tel Aviv, 69978; Israel
-- Donor: David W. Aha (aha@ics.uci.edu) (714) 856-8779
-- Date: October, 1987

3. Past Usage:
1. Ein-Dor and Feldmesser (CACM 4/87, pp 308-317)
-- Results:
-- linear regression prediction of relative cpu performance
-- Recorded 34% average deviation from actual values
2. Kibler,D. & Aha,D. (1988).  Instance-Based Prediction of
Real-Valued Attributes.  In Proceedings of the CSCSI (Canadian
AI) Conference.
-- Results:
-- instance-based prediction of relative cpu performance
-- similar results; no transformations required
- Predicted attribute: cpu relative performance (numeric)

4. Relevant Information:
-- The estimated relative performance values were estimated by the authors
using a linear regression method.  See their article (pp 308-313) for
more details on how the relative performance values were set.

5. Number of Instances: 209

6. Number of Attributes: 10 (6 predictive attributes, 2 non-predictive,
1 goal field, and the linear regression's guess)

7. Attribute Information:
1. vendor name: 30
(adviser, amdahl,apollo, basf, bti, burroughs, c.r.d, cambex, cdc, dec,
dg, formation, four-phase, gould, honeywell, hp, ibm, ipl, magnuson,
microdata, nas, ncr, nixdorf, perkin-elmer, prime, siemens, sperry,
sratus, wang)
2. Model Name: many unique symbols
3. MYCT: machine cycle time in nanoseconds (integer)
4. MMIN: minimum main memory in kilobytes (integer)
5. MMAX: maximum main memory in kilobytes (integer)
6. CACH: cache memory in kilobytes (integer)
7. CHMIN: minimum channels in units (integer)
8. CHMAX: maximum channels in units (integer)
9. PRP: published relative performance (integer)
10. ERP: estimated relative performance from the original article (integer)

8. Missing Attribute Values: None

9. Class Distribution: the class value (PRP) is continuously valued.
PRP Value Range:   Number of Instances in Range:
0-20               31
21-100             121
101-200            27
201-300            13
301-400            7
401-500            4
501-600            2
above 600          4

Summary Statistics:
Min  Max   Mean    SD      PRP Correlation
MCYT:   17   1500  203.8   260.3   -0.3071
MMIN:   64   32000 2868.0  3878.7   0.7949
MMAX:   64   64000 11796.1 11726.6  0.8630
CACH:   0    256   25.2    40.6     0.6626
CHMIN:  0    52    4.7     6.8      0.6089
CHMAX:  0    176   18.2    26.0     0.6052
PRP:    6    1150  105.6   160.8    1.0000
ERP:   15    1238  99.3    154.8    0.9665

## Contributing

This is a [read-only mirror](https://gitlab.com/data/d/openml/561) of an [OpenML dataset](https://www.openml.org/d/561). Contribute any changes to the dataset there. Alternatively, [fork the dataset](https://gitlab.com/data/d/openml/561/-/forks/new) or [find an existing fork](https://gitlab.com/data/d/openml/561/-/forks) to contribute to.

You can use [issues](https://gitlab.com/data/d/openml/561/-/issues) to discuss the dataset and any issues.

For more information see [https://datagit.org/](https://datagit.org/).

